Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84033 - traceback trying to get CD-ROM info
Summary: traceback trying to get CD-ROM info
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: hwbrowser
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-11 06:02 UTC by Tammy Fox
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-12 03:29:38 UTC


Attachments (Terms of Use)

Description Tammy Fox 2003-02-11 06:02:00 UTC
Description of problem:

After starting version 0.8-8:

 Traceback (most recent call last):
  File "/usr/share/hwbrowser/DeviceGeneric.py", line 40, in
on_generic_device_select_row
    xml.get_widget ('generic_manufacturer_label').set_text (mfg)
UnboundLocalError: local variable 'mfg' referenced before assignment
Version-Release number of selected component (if applicable):

CD-ROM information is not shown.

Comment 1 Brent Fox 2003-02-11 18:43:51 UTC
Should be fixed in hwbrowser-0.8-9.  QA, please verify.

Comment 2 Jay Turner 2003-02-12 03:29:38 UTC
Fix confirmed with hwbrowser-0.8-9.  Would appreciate actually testing this on
the machine which was triggering the error, as all of my test machines actually
have descriptions for the HD and CDROM drives, but the code looks appropriate.

Comment 3 Tammy Fox 2003-02-12 03:38:53 UTC
I tested on the machine that was getting the traceback, and it works now.


Note You need to log in before you can comment on or make changes to this bug.